"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const hardhat_1 = require("hardhat");
const src_1 = __importDefault(require("../src"));
const { expectRevert } = require("@openzeppelin/test-helpers");
const Token = hardhat_1.artifacts.require("Token");
describe("Token", () => {
    let token;
    let receiver;
    beforeEach(() => __awaiter(void 0, void 0, void 0, function* () {
        const [alice, bob] = yield hardhat_1.ethers.getSigners();
        token = yield Token.new("Token", "TK", 18, "1000000", {
            from: alice.address,
        });
        receiver = new src_1.default({
            provider: "http://fsd"
        });
    }));
    it("test me", () => __awaiter(void 0, void 0, void 0, function* () {
        const [alice, bob] = yield hardhat_1.ethers.getSigners();
        expectRevert(token.transfer(bob.address, 1, { from: alice.address }));
    }));
});
